Subject: Re: Machine Description Files
From: [email-masked] (Fergus Henderson)

8 May 1997 00:38:48 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Scott Mintz)
Original-Cc: [email-masked] (Cygnus GNU-win32 mailing list)
In-Reply-To: <[email-masked]> from "Scott Mintz" at May 7, 97 01:08:05 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Scott Mintz, you wrote:
> 
>      Does anyone know where I can find documentation on the machine 
>      description file formats used by gcc (*.md) ?  

See the "Machine Descriptions" chapter of the gcc documentation.

Obtaining the GCC documentation.
--------------------------------

The GNU CC documentation is contained in the files `*.texi' which come
with the gcc source distribution in the file `gcc-<version>.tar.gz' on
the usual GNU ftp sites.  These are `Texinfo' files, and they can be
used to produce either a hypertext online manual using `info', or a
printed manual using `TeX'.

To produce the `info' online manual, first install the GNU Texinfo package.
(It is in the file `texinfo-<version>.tar.gz' on the usual GNU ftp sites.)
Then, in the GCC source directory,  type the command

	make install-info

This will create the `*.info*' files, and copy them to /usr/local/info.
Then type `info gcc' and `info cpp' to read them.  You might also
consider installing `tkinfo' if you have an X-Windows display.
To view the files without installing them, do a `make info' rather than
`make install-info', and then type `info -f gcc.info'.
If the `*.info' files already exist, you can view them from Emacs
without installing the GNU Texinfo package, using the commands

	M-x info <Enter>
	g (./gcc.info) <Enter>
	   ^^^^^^^^^^ full path inside parentheses

To produce the printed manual, install both the GNU Texinfo package
and TeX.  Then type the command

	make dvi

in the gcc source directory.  This will create the files gcc.dvi and cpp.dvi,
which can be converted to PostScript using dvi2ps and then printed.

From Lars G. Hecking <[email-masked]>:
> Try <URL:http://www.cygnus.com/> and <URL:http://www.desy.de/>. Look out for
> The Cygnus Support Online Library and User Documents/GNU, resp. Another useful
> page is <URL:http://www.cs.pdx.edu/~trent/>.

From Yusuf Goolamabbas <[email-masked]>:
> ftp://primus.com/pub/gnu-ps
> This has PS files in US Letter size. For European A4 format. I think
> there is a site in switzerland (forgot its address)

[If you have any suggestions for how these instructions could be improved,
they would be appreciated.  These instructions are very old, and some
of them may be obsolete.]

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".